Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.widget.contains
Class ContainsWidgetState

    java.lang.Object
      java.util.Observable
          edu.stanford.smi.protegex.util.AbstractWidgetState
              edu.stanford.smi.protegex.util.ButtonRelatedWidgetState
                  edu.stanford.smi.protegex.widget.contains.ContainsWidgetState

    public class ContainsWidgetState

extends ButtonRelatedWidgetState

Author:
  William Grosso

Field Summary

Fields inherited from class edu.stanford.smi.protegex.util.ButtonRelatedWidgetState
`_addInstanceButtonTooltip, _addInstanceDialogTitle, _createInstanceButtonTooltip, _createInstanceDialogTitle, _deleteInstanceButtonTooltip, _displayAddInstanceButton, _displayCreateInstanceButton, _displayDeleteInstanceButton, _displayMoveInstanceButtons, _displayPrototypeButton, _displayRemoveInstanceButton, _displayViewInstanceButton, _moveInstanceButtonsTooltip, _prototypeButtonTooltip, _prototypeDepth, _removeInstanceButtonTooltip, _viewInstanceButtonTooltip, ADD_INSTANCE_BUTTON_TOOLTIP, ADD_INSTANCE_BUTTON_TOOLTIP_DEFAULT, ADD_INSTANCE_DIALOG_TITLE, ADD_INSTANCE_DIALOG_TITLE_DEFAULT, CREATE_INSTANCE_BUTTON_TOOLTIP, CREATE_INSTANCE_BUTTON_TOOLTIP_DEFAULT, CREATE_INSTANCE_DIALOG_TITLE, CREATE_INSTANCE_DIALOG_TITLE_DEFAULT, DELETE_INSTANCE_BUTTON_TOOLTIP, DELETE_INSTANCE_BUTTON_TOOLTIP_DEFAULT, DISPLAY_ADD_INSTANCE_BUTTON, DISPLAY_CREATE_INSTANCE_BUTTON, DISPLAY_DELETE_INSTANCE_BUTTON, DISPLAY_MOVE_INSTANCE_BUTTONS, DISPLAY_PROTOTYPE_BUTTON, DISPLAY_REMOVE_INSTANCE_BUTTON, DISPLAY_VIEW_INSTANCE_BUTTON, MOVE_INSTANCE_BUTTONS_TOOLTIP, MOVE_INSTANCE_BUTTONS_TOOLTIP_DEFAULT, PROTOTYPE_BUTTON_TOOLTIP, PROTOTYPE_BUTTON_TOOLTIP_DEFAULT, PROTOTYPE_DEPTH, REMOVE_INSTANCE_BUTTON_TOOLTIP, REMOVE_INSTANCE_BUTTON_TOOLTIP_DEFAULT, VIEW_INSTANCE_BUTTON_TOOLTIP, VIEW_INSTANCE_BUTTON_TOOLTIP_DEFAULT`

Fields inherited from class edu.stanford.smi.protegex.util.AbstractWidgetState
`_properties`

Constructor Summary
`ContainsWidgetState(PropertyList properties)`

Method Summary
`void` | `dispose()`
`int` | `getSpaceBetweenSubwidgets()`
`boolean` | `isContainInVerticalDirection()`
`boolean` | `isCreateFormForNewInstances()`
`boolean` | `isDisplayBrowserKeysOfSubordinateInstances()`
`boolean` | `isDisplaySummaryPanel()`
`boolean` | `isDisplayTotalNumberOfSubordinateInstances()`
`boolean` | `isInsertAtCurrentSelection()`
`boolean` | `isSelectNewInsertions()`
`boolean` | `isSeparatorUsedBetweenSubwidgets()`
`boolean` | `isSubwidgetSelectionAllowed()`
`void` | `restore()`
`void` | `save()`
`void` | `setContainInVerticalDirection(boolean containInVerticalDirection)`
`void` | `setContainInVerticalDirection(Boolean containInVerticalDirection)`
`void` | `setCreateFormForNewInstances(boolean createFormForNewInstances)`
`void` | `setCreateFormForNewInstances(Boolean createFormForNewInstances)`
`void` | `setDisplayBrowserKeysOfSubordinateInstances(boolean displayBrowserKeysOfSubordinateInstances)`
`void` | `setDisplayBrowserKeysOfSubordinateInstances(Boolean displayBrowserKeysOfSubordinateInstances)`
`void` | `setDisplaySummaryPanel(boolean displaySummaryPanel)`
`void` | `setDisplaySummaryPanel(Boolean displaySummaryPanel)`
`void` | `setDisplayTotalNumberOfSubordinateInstances(boolean displayTotalNumberOfSubordinateInstances)`
`void` | `setDisplayTotalNumberOfSubordinateInstances(Boolean displayTotalNumberOfSubordinateInstances)`
`void` | `setInsertAtCurrentSelection(boolean insertAtCurrentSelection)`
`void` | `setInsertAtCurrentSelection(Boolean insertAtCurrentSelection)`
`void` | `setSelectNewInsertions(boolean selectNewInsertions)`
`void` | `setSelectNewInsertions(Boolean selectNewInsertions)`
`void` | `setSeparatorUsedBetweenSubwidgets(boolean separatorUsedBetweenSubwidgets)`
`void` | `setSeparatorUsedBetweenSubwidgets(Boolean separatorUsedBetweenSubwidgets)`
`void` | `setSpaceBetweenSubwidgets(int spaceBetweenSubwidgets)`
`void` | `setSubwidgetSelectionAllowed(boolean allowSubwidgetSelection)`
`void` | `setSubwidgetSelectionAllowed(Boolean allowSubwidgetSelection)`

Methods inherited from class edu.stanford.smi.protegex.util.ButtonRelatedWidgetState
`getAddInstanceButtonTooltip, getAddInstanceDialogTitle, getCreateInstanceButtonTooltip, getCreateInstanceDialogTitle, getDeleteInstanceButtonTooltip, getMoveInstanceDownTooltip, getMoveInstanceTooltip, getMoveInstanceUpTooltip, getPrototypeButtonTooltip, getPrototypeDepth, getRemoveInstanceButtonTooltip, getViewInstanceButtonTooltip, isDisplayAddInstanceButton, isDisplayCreateInstanceButton, isDisplayDeleteInstanceButton, isDisplayMoveInstanceButtons, isDisplayPrototypeButton, isDisplayRemoveInstanceButton, isDisplayViewInstanceButton, setAddInstanceButtonTooltip, setAddInstanceDialogTitle, setCreateInstanceButtonTooltip, setCreateInstanceDialogTitle, setDeleteInstanceButtonTooltip, setDisplayAddInstanceButton, setDisplayAddInstanceButton, setDisplayCreateInstanceButton, setDisplayCreateInstanceButton, setDisplayDeleteInstanceButton, setDisplayDeleteInstanceButton, setDisplayMoveInstanceButtons, setDisplayPrototypeButton, setDisplayPrototypeButton, setDisplayRemoveInstanceButton, setDisplayRemoveInstanceButton, setDisplayViewInstanceButton, setDisplayViewInstanceButton, setMoveInstanceButtonsTooltip, setPrototypeButtonTooltip, setPrototypeDepth, setPrototypeDepth, setRemoveInstanceButtonTooltip, setViewInstanceButtonTooltip`

Methods inherited from class edu.stanford.smi.protegex.util.AbstractWidgetState
`broadcast, isCustomized, readBoolean, readInt, readString`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContainsWidgetState

    public ContainsWidgetState(PropertyList properties)

Method Detail

### dispose

    public void dispose()

  Overrides:
    `dispose` in class `ButtonRelatedWidgetState`

### getSpaceBetweenSubwidgets

    public int getSpaceBetweenSubwidgets()

### isContainInVerticalDirection

    public boolean isContainInVerticalDirection()

### isCreateFormForNewInstances

    public boolean isCreateFormForNewInstances()

### isDisplayBrowserKeysOfSubordinateInstances

    public boolean isDisplayBrowserKeysOfSubordinateInstances()

### isDisplaySummaryPanel

    public boolean isDisplaySummaryPanel()

### isDisplayTotalNumberOfSubordinateInstances

    public boolean isDisplayTotalNumberOfSubordinateInstances()

### isInsertAtCurrentSelection

    public boolean isInsertAtCurrentSelection()

### isSelectNewInsertions

    public boolean isSelectNewInsertions()

### isSeparatorUsedBetweenSubwidgets

    public boolean isSeparatorUsedBetweenSubwidgets()

### isSubwidgetSelectionAllowed

    public boolean isSubwidgetSelectionAllowed()

### restore

    public void restore()

  Overrides:
    `restore` in class `ButtonRelatedWidgetState`

### save

    public void save()

  Overrides:
    `save` in class `ButtonRelatedWidgetState`

### setContainInVerticalDirection

    public void setContainInVerticalDirection(Boolean containInVerticalDirection)

### setContainInVerticalDirection

    public void setContainInVerticalDirection(boolean containInVerticalDirection)

### setCreateFormForNewInstances

    public void setCreateFormForNewInstances(Boolean createFormForNewInstances)

### setCreateFormForNewInstances

    public void setCreateFormForNewInstances(boolean createFormForNewInstances)

### setDisplayBrowserKeysOfSubordinateInstances

    public void setDisplayBrowserKeysOfSubordinateInstances(Boolean displayBrowserKeysOfSubordinateInstances)

### setDisplayBrowserKeysOfSubordinateInstances

    public void setDisplayBrowserKeysOfSubordinateInstances(boolean displayBrowserKeysOfSubordinateInstances)

### setDisplaySummaryPanel

    public void setDisplaySummaryPanel(Boolean displaySummaryPanel)

### setDisplaySummaryPanel

    public void setDisplaySummaryPanel(boolean displaySummaryPanel)

### setDisplayTotalNumberOfSubordinateInstances

    public void setDisplayTotalNumberOfSubordinateInstances(Boolean displayTotalNumberOfSubordinateInstances)

### setDisplayTotalNumberOfSubordinateInstances

    public void setDisplayTotalNumberOfSubordinateInstances(boolean displayTotalNumberOfSubordinateInstances)

### setInsertAtCurrentSelection

    public void setInsertAtCurrentSelection(Boolean insertAtCurrentSelection)

### setInsertAtCurrentSelection

    public void setInsertAtCurrentSelection(boolean insertAtCurrentSelection)

### setSelectNewInsertions

    public void setSelectNewInsertions(Boolean selectNewInsertions)

### setSelectNewInsertions

    public void setSelectNewInsertions(boolean selectNewInsertions)

### setSeparatorUsedBetweenSubwidgets

    public void setSeparatorUsedBetweenSubwidgets(Boolean separatorUsedBetweenSubwidgets)

### setSeparatorUsedBetweenSubwidgets

    public void setSeparatorUsedBetweenSubwidgets(boolean separatorUsedBetweenSubwidgets)

### setSpaceBetweenSubwidgets

    public void setSpaceBetweenSubwidgets(int spaceBetweenSubwidgets)

### setSubwidgetSelectionAllowed

    public void setSubwidgetSelectionAllowed(Boolean allowSubwidgetSelection)

### setSubwidgetSelectionAllowed

    public void setSubwidgetSelectionAllowed(boolean allowSubwidgetSelection)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request